<?php
/****************************************************
check_cc_form.php

This file includes functions for checking the credit card form in direct_payment.php for errors.

Called by direct_payment.php

****************************************************/
require_once "..\\authserv\\fs_lang.php";
?>
<script type="text/javascript">
var colorErr="Yellow";
var colorCorrect="White";
/*
This function preform validation the credit card form in direct_payment.php
*/
function validateFormOnSubmit(theForm) {
	var errMsg = "";
	errMsg += validateDropDown(theForm.country_code,"country_code");//validate country
	errMsg += validateName(theForm.first_name,"first_name");//validate first name
	errMsg += validateName(theForm.last_name,"last_name");//validate last name
	errMsg += validateDropDown(theForm.credit_card_type,"credit_card_type");//validate credit card type
	errMsg += validateCCNum(theForm.credit_card_number);//validate credit card number
	errMsg += validateMonth(theForm.exp_date_month);//validate the expiration month
	errMsg += validateYear(theForm.exp_date_year);//validate the expiration year
	errMsg += validateCVV2(theForm.cvv2_number,theForm.credit_card_type);//validate the credit card security code(csc/cvv2)
	errMsg += validateName(theForm.address1,"address1");//validate address line 1
	errMsg += validateName(theForm.city,"city");//validate city
	//validate the state/province/region field according to the selected country
	if (theForm.country_code.value == "US"){
		errMsg += validateDropDown(theForm.state,"state");
	}else if (theForm.country_code.value == "CA"){
		errMsg += validateDropDown(theForm.state,"province");
	}else{
		errMsg += validateName(theForm.state,"region");
	}
	document.getElementById('info_area').style.display="";//display the error area
	goToInfoBox();//show the info table at the top
    if (errMsg != "") {
		document.getElementById('error').innerHTML 
			="<table class='api_error'>\r\n"
			+"\t<tr><td class='header'><?php echo get_var('check_cc_form_correct_msg'); ?></td></tr>\r\n"
			+"\t<tr><td><hr />"+errMsg+"</td></tr>\r\n"
			+"</table>\r\n";
		//document.getElementById('error_table').style.visibility="visible";
    return false;
	}
	document.getElementById('error').innerHTML="<?php echo get_var('check_cc_form_wait'); ?>...."
	theForm.continue_btn.disabled="disabled";
	//document.getElementById('error_table').style.visibility="hidden";
	return true;
}

/*
This function preform validation on the textboxes
*/
function validateName(field,nameType){
	var error = "";
	//var filter = /^[a-zA-Z]{1,}([ ]{1}[a-zA-Z]{1,}){0,}$/;
	//fieldName=field.name;
	if(trim(field.value)==""){
		field.style.background=colorErr;
		if(nameType=="first_name"){
			error = "<?php echo get_var('check_cc_form_err_empty_first_name'); ?><br/>";
		}else if(nameType=="last_name"){
			error = "<?php echo get_var('check_cc_form_err_empty_last_name'); ?><br/>";
		}else if(nameType=="address1"){
			error = "<?php echo get_var('check_cc_form_err_empty_adr1'); ?><br/>";
		}else if(nameType=="city"){
			error = "<?php echo get_var('check_cc_form_err_empty_city'); ?><br/>";
		}else if(nameType=="region"){
			error = "<?php echo get_var('check_cc_form_err_empty_region'); ?><br/>";
		}
	}else{
		field.style.background=colorCorrect;
	}
	
	return error;
}

/*
This function preform validation on the credit card number
*/
function validateCCNum(field){
	var error = "";
	//var filter=/^[\d]{16}$/;
	var filter=/^[\d]{15,16}$/;
	if(trim(field.value)==""){
		field.style.background=colorErr;
		error = "<?php echo get_var('check_cc_form_err_empty_cc_num'); ?><br/>";
	}else if(!filter.test(field.value) ){
		field.style.background=colorErr;
		error="<?php echo get_var('check_cc_form_err_invalid_cc_num'); ?><br/>";
	}
	else{
		field.style.background=colorCorrect;
	}
	return error;
}

/*
This function preform validation on the drop-down lists
*/
function validateDropDown(field, type){
	var error = "";
	if(field.selectedIndex==0){
		field.style.background=colorErr;
		if (type == "credit_card_type"){
			error = "<?php echo get_var('check_cc_form_err_empty_cc_type'); ?><br/>";
		}else if (type == "country_code"){
			error = "<?php echo get_var('check_cc_form_err_empty_country'); ?><br/>";
		}else if (type == "state"){
			error = "<?php echo get_var('check_cc_form_err_empty_state'); ?><br/>";
		}else if (type == "province"){
			error = "<?php echo get_var('check_cc_form_err_empty_province'); ?><br/>";
		}
	}
	else{
		field.style.background=colorCorrect;
	}
	return error;
}

/*
This function preform validation on the credit card expiration month
*/
function validateMonth(field){
	var error = "";
	var filter=/0[1-9]|1[012]/;
	if(trim(field.value)==""){
		field.style.background=colorErr;
		error = "<?php echo get_var('check_cc_form_err_empty_cc_exp_month'); ?><br/>";
	}
	else if(!filter.test(field.value) ){
		field.style.background=colorErr;
		error="<?php echo get_var('check_cc_form_err_invalid_cc_exp_month'); ?><br/>";
	}
	else{
		field.style.background=colorCorrect;
	}
	return error;
}

/*
This function preform validation on the credit card expiration year
*/
function validateYear(field){
	var error = "";
	var filter=/\d\d/;
	if(trim(field.value)==""){
		field.style.background=colorErr;
		error = "<?php echo get_var('check_cc_form_err_empty_cc_exp_year'); ?><br/>";
	}
	else if(!filter.test(field.value) ){
		field.style.background=colorErr;
		error="<?php echo get_var('check_cc_form_err_invalid_cc_exp_year'); ?><br/>";
	}
	else{
		field.style.background=colorCorrect;
	}
	return error;
}

/*
This function preform validation on the credit card security code(csc/cvv2)
*/
function validateCVV2(field, fieldCreditCard){
	var error="";
	if(trim(field.value)==""){
		field.style.background=colorErr;
		error = "<?php echo get_var('check_cc_form_err_empty_cc_cvv2'); ?><br/>";
	}
	else if(fieldCreditCard.value=="Amex" && field.value.length!=4){
		field.style.background=colorErr;
		error = "<?php echo get_var('check_cc_form_err_invalid_cc_cvv2_4'); ?><br/>";
	}
	else if(fieldCreditCard.value!="Amex" && fieldCreditCard.selectedIndex !=0 && field.value.length!=3){
		field.style.background=colorErr;
		error = "<?php echo get_var('check_cc_form_err_invalid_cc_cvv2_3'); ?><br/>";
	}
	else{
		field.style.background=colorCorrect;
	}
	return error;
}

/*
This function show the info box at the top
*/
function goToInfoBox(){
	window.location="#info_area";
}

/*
This function trim the strings
*/
function trim(stringToTrim)
{
	return stringToTrim.replace(/^\s+|\s+$/g,"");
}
</script>