<?php
require_once 'common_functions.php';
require_once 'fs_lang.php';

//show_charset and meta_charset passed by fs_lang.php
if (isset($show_charset) && $show_charset && isset($meta_charset)){
	// replace header in fslang.php
	header("Content-Type: text/xml; charset=$meta_charset"); // The content-type of the PHP document is set to be "text/xml"
}else{
	// replace header in fslang.php
	header('Content-Type: text/xml'); // The content-type of the PHP document is set to be "text/xml"
}

header("Cache-Control: no-cache, must-revalidate"); //The PHP document is set to "no-cache" to prevent caching
//A date in the past
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

$responseCase=0;

// specified data is found
$xmlContent="";

// Info Data String
$xmlInfoDataString="";

if (isset($_GET['response_case']))
	$responseCase=$_GET["response_case"]; // The variable is set to be the data sent from the html page

// Query User Info
if($responseCase == 1){
	
// 	$_SESSION['sess_patronsoft2']= '56075093016576';

if(isset($_SESSION['sess_patronsoft2'])){
	$patronsoft2 = $_SESSION['sess_patronsoft2'];

$infoReload=1; // 1 = reload, 0 = not
if(isset($_SESSION['sess_infoReload']) && $_SESSION['sess_infoReload']== 0 ){
	$infoReload = 0;
}

$settingobj = new COM('FSCONFIG.Cfgmgr') or die('info.php FSCONFIG.Cfgmgr Object cannot be created!');

$use_radius = $settingobj->getKey( 'use_radius', 'radius');

$reminderOn = $settingobj->getKey( 'time_reminder', 'misc');
$remindMin = $settingobj->getKey( 'remindMin', 'misc');
$print_support = $settingobj->getKey( 'PrintSupport', 'PrinterOn');

$global_bwcount_dl = $settingobj->getKey("bwcount_dl", "DataTransfer");
$global_bwquota_dl = $settingobj->getKey("bwquota_dl", "DataTransfer");
$global_bwcount_ul = $settingobj->getKey("bwcount_ul", "DataTransfer");
$global_bwquota_ul = $settingobj->getKey("bwquota_ul", "DataTransfer");

$session_limit = $settingobj->getKey( 'sessionlimit', 'gateway');

$anon_infobox=0; // 1: It is Anonymous Infobox
if (fs_is_anonymous_mode()){
	// anonymous infobox use
	$anon_infobox=1;
}

//PHP opens a connection to Database
if( strtolower($use_radius)== 'true' ) {
    // connect to database
    $dsn_file = $settingobj->getKey( 'Datasource', 'radius');
    $dsn_source = fopen($dsn_file, 'r') or die('Cannot open DSN source file!');  
    $dsn='';

    if(!feof($dsn_source)) 
        $line=fgets($dsn_source,512); 

    while(!feof($dsn_source)) {
        $line=fgets($dsn_source,512);
        if (trim($line)!='') $dsn=$dsn.$line;
    }

    $dsn=str_replace("\r\n",";",$dsn);
    $userDB=odbc_connect($dsn,"","");
    $firstspotusertable=$settingobj->getKey( 'Datasource_Tablename', 'radius');
} else {
    // connect to database
    $dsn_file = $settingobj->getKey( 'Datasource', 'gateway');
    $dsn_source = fopen($dsn_file, 'r') or die('Cannot open DSN source file!');  
    $dsn='';

    if(!feof($dsn_source)) 
        $line=fgets($dsn_source,512); 

    while(!feof($dsn_source)) {
        $line=fgets($dsn_source,512);
        if (trim($line)!='') $dsn=$dsn.$line;
    }

    $dsn=str_replace("\r\n",";",$dsn);
    $userDB=odbc_connect($dsn,'','');
    $firstspotusertable=$settingobj->getKey( 'Datasource_Tablename', 'gateway');
}
//$settingobj->Release();
$settingobj=null;

$query="SELECT * FROM $firstspotusertable WHERE RESERVED1='".$patronsoft2."';";

$result=odbc_exec($userDB,$query);

$name = odbc_result($result, 'name');

if ($name!=''){
    if($infoReload==1){
	    $responseState= 3;
    }else{
	    $responseState= 1;
    }
    
    if (isset($_SESSION['info_wait_attempt']) && $_SESSION['info_wait_attempt'] != -1){
        // notify infobox not in [please wait] state, since it is already found the record
        $_SESSION['info_wait_attempt'] = -1;
        $xmlContent.="<info_wait_attempt>".$_SESSION['info_wait_attempt']."</info_wait_attempt>";
    }
    
}else{
    
    if (isset($_SESSION['info_wait_attempt']) && $_SESSION['info_wait_attempt'] >0){
        $responseState = 4;
        $xmlContent.="<info_wait_attempt>".$_SESSION['info_wait_attempt']."</info_wait_attempt>";
    }else{
        // disconnect state
    	$responseState = 2;
    }
}

if ($name==''){
	
	$xmlContent.="<responseState>" . $responseState . "</responseState>";

	$_SESSION['sess_responseState'] = $responseState;
	
	$xmlContent.="<other>can't found the record</other>";

}
else {
// initializes result
$bwleft='';
$restricted_account=false;
$bwleftUL = '';
$bwleftSHA = '';

// some col not in temp radius table include resetopt, reserved4, roption, rsdate
if (strtolower($use_radius)== 'true'){
    $reminderOn = 0;
    $logintime=odbc_result($result,'reserved2');
    $xmlContent.="<logintime>" . $logintime . "</logintime>";
    $recur_option = 0;
    $recur_stime = 0;
    $recur_etime = 0;
}else {
    $resetopt = odbc_result($result, 'resetopt');
    $xmlContent.="<resetopt>" . $resetopt . "</resetopt>";
    if($resetopt ==1) 
    	$reminderOn = 0;
    	
    	$logintime=odbc_result($result,'reserved2');
		$logintime=( $logintime < odbc_result($result,'reserved4')? odbc_result($result,'reserved4') : $logintime ); 
		$xmlContent.="<logintime>" . $logintime . "</logintime>";
		
	    //recur_option
	    $recur_option = odbc_result($result, 'roption');
	    $xmlContent.="<recur_option>" . $recur_option . "</recur_option>";
	    $recur_stime = odbc_result($result, 'rsdate');
	    $xmlContent.="<recur_stime>" . $recur_stime . "</recur_stime>";
	    $recur_etime = odbc_result($result, 'redate');
	    $xmlContent.="<recur_etime>" . $recur_etime . "</recur_etime>";
}

// $name = odbc_result($result, 'name');
$xmlContent.="<name>" . $name . "</name>";
if ($anon_infobox){
	    //using Maximum time limit per session instead
	    $timeleft=$session_limit;
} else
	$timeleft=odbc_result($result,'timeleft');
	
//* timeleft: will modify by info.php (remain timeleft), max_time: same as database timeleft field orginal value (max time)
$_SESSION['timeleft'] = $timeleft;
$_SESSION['max_time'] = $timeleft;
$xmlContent.="<timeleft>" . $timeleft . "</timeleft>";
$expiryDate = odbc_result($result,'edate');
$xmlContent.="<expiryDate>" . $expiryDate . "</expiryDate>";

$bwcount=odbc_result($result,'bwcount');
$xmlContent.="<bwcount>" . $bwcount . "</bwcount>";
$bwcountUL=odbc_result($result,'bwcountUL');
$xmlContent.="<bwcountUL>" . $bwcountUL . "</bwcountUL>";
$bwcountSHA=odbc_result($result,'bwcountSHA');
$xmlContent.="<bwcountSHA>" . $bwcountSHA . "</bwcountSHA>";
$bwleftAll = '';

// 20080617 - Separate checking of download and upload cases
if (strlen($bwcount) == 0 || $bwcount == -1) {
    $bwcount = $global_bwcount_dl;
    if ($bwcount == 2) {
	$quotaGlobal = $global_bwquota_dl;
    }
}
if (strlen($bwcountUL) == 0 || $bwcountUL == -1) {
    $bwcountUL = $global_bwcount_ul;
    if ($bwcountUL == 2) {
	$quotaULGlobal = $global_bwquota_ul;
    }
}

if ($bwcount==2 || $bwcountUL==2 || $bwcountSHA==2) {
    // create a COM object
	$myobj = new COM('FSAUTH.Authserv') or die('info.php FSAUTH.Authserv object cannot be created!');
    $bwleftAll=$myobj->QueryBW($patronsoft2);
    $myobj=null;
    
	list($bwleft, $bwleftUL, $bwleftSHA) = explode(",", $bwleftAll);
    settype($bwleft, "integer");
    settype($bwleftUL, "integer");
	settype($bwleftSHA, "integer");
}
if($bwcount==2) {
    $accumbw=odbc_result($result,'accumbw');
    $xmlContent.="<accumbw>" . $accumbw . "</accumbw>";
    if(isset($quotaGlobal))
    	$quota = $quotaGlobal;
    else{
    	$quota=odbc_result($result,'bwquota');
    	$xmlContent.="<quota>" . $quota . "</quota>";
	}
    $bwleft = $quota - $bwleft - $accumbw;
}
if($bwcountUL==2) {
    $accumbwUL=odbc_result($result,'accumbwUL');
    $xmlContent.="<accumbwUL>" . $accumbwUL . "</accumbwUL>";
    if(isset($quotaULGlobal))
    	$quotaUL = $quotaULGlobal;
    else{
    	$quotaUL=odbc_result($result,'bwquotaUL');
    	$xmlContent.="<quotaUL>" . $quotaUL . "</quotaUL>";
	}
    $bwleftUL = $quotaUL - $bwleftUL - $accumbwUL;
}

if($bwcountSHA==2) {
    $accumbwSHA=odbc_result($result,'accumbwSHA');
    $xmlContent.="<accumbwSHA>" . $accumbwSHA . "</accumbwSHA>";
    $quotaSHA=odbc_result($result,'bwquotaSHA');
    $xmlContent.="<quotaSHA>" . $quotaSHA . "</quotaSHA>";
    $bwleftSHA = $quotaSHA - $bwleftSHA - $accumbwSHA;
}

$printQuota = odbc_result($result, 'pagenum');
$xmlContent.="<printQuota>" . $printQuota . "</printQuota>";

//* MACasUsrfiled not in radius temp table
if (strtolower($use_radius) != 'true'){
	$MACasUsr = odbc_result($result,'MACasUsr');
	$xmlContent.="<MACasUsr>" . $MACasUsr . "</MACasUsr>";

	// For Passive Login not display change password link
	if ($MACasUsr == 'Y' && odbc_result($result,'pwd') == ''){
		// Passive login 
		$_SESSION['show_change_password_link'] = '0';
	}else
		$_SESSION['show_change_password_link'] = '1';
		
	$xmlContent.="<show_change_password_link>" . $_SESSION['show_change_password_link']  . "</show_change_password_link>";
}

odbc_free_result( $result );
odbc_close( $userDB );

$xmlContent.="<infoReload>" . $infoReload . "</infoReload>";
$xmlContent.="<responseState>" . $responseState . "</responseState>";

$_SESSION['sess_responseState'] = $responseState;

// Create user data string part (using data to create message string in info.php)
$userInfoData= "";

$userInfoData.="expiryDate=".$expiryDate.",";
$userInfoData.="recur_option=".$recur_option.",";
$userInfoData.="recur_stime=".$recur_stime.",";
$userInfoData.="recur_etime=".$recur_etime.",";
$userInfoData.="logintime=".$logintime.",";
$userInfoData.="bwcount=".$bwcount.",";
$userInfoData.="bwleft=".$bwleft.",";
$userInfoData.="bwcountUL=".$bwcountUL.",";
$userInfoData.="bwleftUL=".$bwleftUL.",";
$userInfoData.="bwcountSHA=".$bwcountSHA.",";
$userInfoData.="bwleftSHA=".$bwleftSHA.",";
$userInfoData.="printQuota=".$printQuota.",";

$_SESSION['sess_userInfoData'] = $userInfoData;


//--------------------------START--------------------//
// Create message sentence part

/*
There are 5 predefined entity references in XML:
&lt; 	< 	less than
&gt; 	> 	greater than
&amp; 	& 	ampersand 
&apos; 	' 	apostrophe
&quot; 	" 	quotation mark
*/

// let '&' be empty
$infoExpDate = '&amp;';
$infoAccessPeriod = '&amp;';
$infoAccessMin = '&amp;';
$infoBwDl = '&amp;';
$infoBwUl = '&amp;';
$infoBwSha = '&amp;';
$infoPrint = '&amp;';
$infoRestrict = '&amp;';

$timeleft_in_sec = -1; // -1: notify javascript not run UpdateTimeLeftClock()
	
$msgSentence="";

if ($expiryDate !='') {
    list($date,$time) = datetime_from_mysql2($expiryDate);
    $msgSentence .= get_var('info_expiry_date').$date." ".$time."&lt;br&gt;";
    $infoExpDate = get_var('info_expiry_date').$date." ".$time."&lt;br&gt;";
}

if ($recur_option == 1) {
    $msgSentence .= get_var('info_access_period')."$recur_stime - $recur_etime&lt;br&gt;";
	$infoAccessPeriod = get_var('info_access_period')."$recur_stime - $recur_etime&lt;br&gt;";
}

// timeleft is an empty string only if unlimited timeleft condition is specified
// (Infobox will not pop up after user has been logged out)
if($_SESSION['timeleft']=='') {
		if ($anon_infobox){
			$msgSentence .= get_var('anon_info_access_min_remain').' : '.get_var('Unlimited').'&lt;br&gt;';
			$infoAccessMin = get_var('anon_info_access_min_remain').' : '.get_var('Unlimited').'&lt;br&gt;';
		}
		else{
			$msgSentence .= get_var('info_access_min_remain').' : '.get_var('Unlimited').'&lt;br&gt;';
			$infoAccessMin = get_var('info_access_min_remain').' : '.get_var('Unlimited').'&lt;br&gt;';
		}
} else {
    // calculate escaped time (current time-login time)
    $diff = time()-$logintime;
	$diffInSec = $diff; // use time (in second)
    $diff = $diff / 60;

    // timeleft (allowed time limit-escaped time)
    $_SESSION['timeleft'] = floor($_SESSION['timeleft']-$diff);
	
    if($_SESSION['timeleft']<0)
        $_SESSION['timeleft']=-1;
        
    $zeroStr='';
    
    if($_SESSION['timeleft']>0) {
	    // display timeleft in Min +Sec (client sdie)
	    $timeleft_in_sec = $_SESSION['max_time'] *60 - $diffInSec;
	    if ($timeleft_in_sec >0){ // prevent -ve value
    		$display_Sec = 60 - ($diffInSec%60);
    		if ($display_Sec < 10)
    			$zeroStr='0';
    		
    		$display_Min = (($_SESSION['max_time'] *60 - $diffInSec) - $display_Sec) / 60;
		}else{
			$display_Sec = '00';
    		$display_Min = 0;
		}
		
		if ($anon_infobox){
			$msgSentence .= get_var('anon_info_access_min_remain').' : &lt;span id="display_Min"&gt;'.$display_Min.'&lt;/span&gt;'. get_var('Min').' &lt;span id="display_Sec"&gt;'.$zeroStr.$display_Sec."&lt;/span&gt;". get_var('Sec')."&lt;br&gt;";
			$infoAccessMin = get_var('anon_info_access_min_remain').' : &lt;span id="display_Min"&gt;'.$display_Min.'&lt;/span&gt;'. get_var('Min').' &lt;span id="display_Sec"&gt;'.$zeroStr.$display_Sec."&lt;/span&gt;". get_var('Sec')."&lt;br&gt;";
		}
		else{
			$msgSentence .= get_var('info_access_min_remain').' : &lt;span id="display_Min"&gt;'.$display_Min.'&lt;/span&gt;'. get_var('Min').' &lt;span id="display_Sec"&gt;'.$zeroStr.$display_Sec."&lt;/span&gt;". get_var('Sec')."&lt;br&gt;";
			$infoAccessMin = get_var('info_access_min_remain').' : &lt;span id="display_Min"&gt;'.$display_Min.'&lt;/span&gt;'. get_var('Min').' &lt;span id="display_Sec"&gt;'.$zeroStr.$display_Sec."&lt;/span&gt;". get_var('Sec')."&lt;br&gt;";
		}
		
    } else if($_SESSION['timeleft']==0) {
			// display timeleft in Min
	    if ($anon_infobox)
			$msgSentence .= get_var('anon_info_access_min_remain')." : ".get_var('last_than_one_min')."&lt;br&gt;";
        else
	        $msgSentence .= get_var('info_access_min_remain')." : ".get_var('last_than_one_min')."&lt;br&gt;";
	    // display timeleft in Min +Sec (client sdie)
		$timeleft_in_sec = $_SESSION['max_time'] *60 - $diffInSec;
		if ($timeleft_in_sec >0){ // prevent -ve value
    		$display_Sec = 60 - ($diffInSec%60);
    		if ($display_Sec < 10)
    			$zeroStr='0';
    		$display_Min = (($_SESSION['max_time'] *60 - $diffInSec) - $display_Sec) / 60;
		}else{
			$display_Sec = '00';
    		$display_Min = 0;
		}
		if ($anon_infobox){
			$msgSentence .= get_var('anon_info_access_min_remain').' : &lt;span id="display_Min"&gt;'.$display_Min.'&lt;/span&gt;'. get_var('Min').' &lt;span id="display_Sec"&gt;'.$zeroStr.$display_Sec."&lt;/span&gt;". get_var('Sec')."&lt;br&gt;";
			$infoAccessMin = get_var('anon_info_access_min_remain').' : &lt;span id="display_Min"&gt;'.$display_Min.'&lt;/span&gt;'. get_var('Min').' &lt;span id="display_Sec"&gt;'.$zeroStr.$display_Sec."&lt;/span&gt;". get_var('Sec')."&lt;br&gt;";
		}
		else{
			$msgSentence .= get_var('info_access_min_remain').' : &lt;span id="display_Min"&gt;'.$display_Min.'&lt;/span&gt;'. get_var('Min').' &lt;span id="display_Sec"&gt;'.$zeroStr.$display_Sec."&lt;/span&gt;". get_var('Sec')."&lt;br&gt;";
			$infoAccessMin = get_var('info_access_min_remain').' : &lt;span id="display_Min"&gt;'.$display_Min.'&lt;/span&gt;'. get_var('Min').' &lt;span id="display_Sec"&gt;'.$zeroStr.$display_Sec."&lt;/span&gt;". get_var('Sec')."&lt;br&gt;";
		}
		
        // For timeleft reminder (notify less then one minute by $_SESSION['timeleft'] =0)
        $isLessOneMin=true;
    } else {
    	$restricted_account = true;
    }
}

if($bwcount==2) {
    if($bwleft<0)
    	$restricted_account = true;
    else {
        if($bwleft<1024) {
            $msgSentence .= get_var('info_bandwidth_usage_left').$bwleft."KB&lt;br&gt;";
            $infoBwDl = get_var('info_bandwidth_usage_left').$bwleft."KB&lt;br&gt;";
        } else if($bwleft<1048576) {
            $msgSentence .= get_var('info_bandwidth_usage_left').round($bwleft/1024,2)."MB&lt;br&gt;";
            $infoBwDl = get_var('info_bandwidth_usage_left').round($bwleft/1024,2)."MB&lt;br&gt;";
        } else {
            $msgSentence .= get_var('info_bandwidth_usage_left').round($bwleft/1048576,2)."GB&lt;br&gt;";
            $infoBwDl = get_var('info_bandwidth_usage_left').round($bwleft/1048576,2)."GB&lt;br&gt;";
        }
    }
}
if($bwcountUL==2) {
    if($bwleftUL<0)
    	$restricted_account = true;
    else {
        if($bwleftUL<1024) {
            $msgSentence .= get_var('info_bandwidth_usage_left_UL').$bwleftUL."KB&lt;br&gt;";
            $infoBwUl = get_var('info_bandwidth_usage_left_UL').$bwleftUL."KB&lt;br&gt;";
        } else if($bwleftUL<1048576) {
            $msgSentence .= get_var('info_bandwidth_usage_left_UL').round($bwleftUL/1024,2)."MB&lt;br&gt;";
            $infoBwUl = get_var('info_bandwidth_usage_left_UL').round($bwleftUL/1024,2)."MB&lt;br&gt;";
        } else {
            $msgSentence .= get_var('info_bandwidth_usage_left_UL').round($bwleftUL/1048576,2)."GB&lt;br&gt;";
            $infoBwUl = get_var('info_bandwidth_usage_left_UL').round($bwleftUL/1048576,2)."GB&lt;br&gt;";
        }
    }
}

if($bwcountSHA==2) {
    if($bwleftSHA<0)
    	$restricted_account = true;
    else {
        if($bwleftSHA<1024) {
            $msgSentence .= get_var('info_bandwidth_usage_left_SHA').$bwleftSHA."KB&lt;br&gt;";
            $infoBwSha = get_var('info_bandwidth_usage_left_SHA').$bwleftSHA."KB&lt;br&gt;";
        } else if($bwleftSHA<1048576) {
            $msgSentence .= get_var('info_bandwidth_usage_left_SHA').round($bwleftSHA/1024,2)."MB&lt;br&gt;";
			$infoBwSha = get_var('info_bandwidth_usage_left_SHA').round($bwleftSHA/1024,2)."MB&lt;br&gt;";
        } else {
            $msgSentence .= get_var('info_bandwidth_usage_left_SHA').round($bwleftSHA/1048576,2)."GB&lt;br&gt;";
        	$infoBwSha = get_var('info_bandwidth_usage_left_SHA').round($bwleftSHA/1048576,2)."GB&lt;br&gt;";
        }
    }
}

if ($print_support!=0) { //show print quota
    if ($printQuota){
        $msgSentence .= get_var('info_print_quota').round($printQuota).get_var('info_print_quota_unit');
	    $infoPrint = get_var('info_print_quota').round($printQuota).get_var('info_print_quota_unit');
    }
    else{
        $msgSentence .= get_var('info_print_quota')."Unlimited";
	    $infoPrint = get_var('info_print_quota')."Unlimited";
    }
}

//limited account
if ($restricted_account) {
	$msgSentence .= get_var('restricted_account')."&lt;br&gt;";
	$infoRestrict = get_var('restricted_account')."&lt;br&gt;";
}


$xmlInfoDataString.="<info>";
$xmlInfoDataString.="<infoExpDate>" . $infoExpDate . "</infoExpDate>";
$xmlInfoDataString.="<infoAccessPeriod>" . $infoAccessPeriod . "</infoAccessPeriod>";
$xmlInfoDataString.="<infoAccessMin>" . $infoAccessMin . "</infoAccessMin>";
$xmlInfoDataString.="<infoBwDl>" . $infoBwDl . "</infoBwDl>";
$xmlInfoDataString.="<infoBwUl>" . $infoBwUl . "</infoBwUl>";
$xmlInfoDataString.="<infoBwSha>" . $infoBwSha . "</infoBwSha>";
$xmlInfoDataString.="<infoPrint>" . $infoPrint . "</infoPrint>";
$xmlInfoDataString.="<infoRestrict>" . $infoRestrict . "</infoRestrict>";
$xmlInfoDataString.="</info>";

$xmlInfoDataString.="<timeleft_in_sec>" . $timeleft_in_sec . "</timeleft_in_sec>"; // for client side counter

// timeleft reminder 
$showReminder= 0; // 0: not show reminder code, 1: show reminder code

if ($reminderOn == 1) {
	
	$userArray = array();
	if (isset($expiryDate))
		$userArray['expiryDate']=$expiryDate;
	if (isset($recur_option))
		$userArray['recur_option']=$recur_option;
	if (isset($recur_stime))
		$userArray['recur_stime']=$recur_stime;
	if (isset($recur_etime))
		$userArray['recur_etime']=$recur_etime;
	if (isset($logintime))
		$userArray['logintime']=$logintime;
	if (isset($session_limit))
		$userArray['session_limit']=$session_limit;
	if (isset($_SESSION['max_time']) && strlen($_SESSION['max_time']) > 0 && $_SESSION['max_time'] >= 0 && isset($logintime))
		$userArray['max_time']=$_SESSION['max_time'];
	
	$remainTimeSec = cal_timeleft_reminder($userArray);
	 
	if ($remainTimeSec != -1){
		$remainTime = floor($remainTimeSec/60);
		$xmlContent.="<remainTime>" .$remainTime. "</remainTime>";
		$xmlContent.="<remindMin>" .$remindMin. "</remindMin>";
		$showReminder= 0;
		if ($remainTime <= $remindMin ){ // >= 0 to prevent remainTime not show -ve value
			$showReminder= 1; // 1: responsexml.js will show reminder
		}
	}
}

$xmlContent.="<showReminder>" .$showReminder. "</showReminder>";

$xmlContent.="<msgSentence>" . $msgSentence . "</msgSentence>";

//-----------END---------------//

// if ($responseState == 1)
// 	$_SESSION['nQUserInfo'] = true; //notify don't need update user information when refresh the infobox

}

} else{
	$responseState = 2; // NOT Found
	
	$_SESSION['sess_responseState'] = $responseState;
	
	$xmlContent="<responseState>" . $responseState . "</responseState>";
}
}
// The data is outputted as an xml document
// since < ? ? > in php have special meaning, so that using print() instead of echo()
$xmlHeader = "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n";
print $xmlHeader;
echo "<userInfo>";
echo "<responseCase>" . $responseCase . "</responseCase>";
echo $xmlInfoDataString;
echo $xmlContent;
echo "</userInfo>";
?>